发布于 10个月前

npm ERR! Cannot find module './access-error.js'

最近npm install 经常出现这个问题。貌似是因为升级node版本导致的。

按照 https://stackoverflow.com/que... 这个解决方案,卸载npm,重新安装,然后重新安装了一下还是不行。

然后又把所有的node安装的都卸载掉,http://linyehui.me/2016/03/03...,也还是不行。。。

然后使用 nvm 安装 npm, npm 版本号是 v12.3.1,然后可以使用了,自以为解决了,然后又去另一个项目安装依赖,又出现这个错误,抓狂~!!()

尽量使用 nvm 去安装 node!

最后想到是不是npm版本太高,然后使用nvm,降低了版本,用的 v10.15.3 结果可以了。。。哭死。

注意:

1.需要把低版本的设为默认版本,不然启动别的项目还是有问题

2.切换项目的需要完全退出 VScode,重启终端,不然使用的还是旧的node版本

npm
©2020 edoou.com   京ICP备16001874号-3